%define  upstream_name MvcAuthenticationTiein
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.0
Release:	%mkrel 3
Summary:	This component provides authentication filters for the MvcTools component
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
This component provides authentication filters for the MvcTools component.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/MvcAuthenticationTiein.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/MvcAuthenticationTiein.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/MvcAuthenticationTiein
fi

%files
%defattr(-,root,root)
%doc docs/MvcAuthenticationTiein/*
%{peardir}/data/MvcAuthenticationTiein/design/class_diagram.png
%{peardir}/ezc/MvcAuthenticationTiein/filter.php
%{peardir}/ezc/MvcAuthenticationTiein/mvc_authentication_autoload.php
%{peardir}/ezc/MvcAuthenticationTiein/options/filter-options.php
%{peardir}/ezc/autoload/mvc_authentication_autoload.php
%{xmldir}/MvcAuthenticationTiein.xml


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 504316
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 349932
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 17 2011 spuhler <spuhler> 1.0-1.mga2
+ Revision: 125043
- imported package ezcomponents-MvcAuthenticationTiein

